From 667b98f7d8f7ac084ad0bf0176ad32ca93ceed8c Mon Sep 17 00:00:00 2001
From: Jiangyi Chen <chenjiangyi@uniontech.com>
Date: Tue, 22 Dec 2020 21:05:01 +0800
Subject: [PATCH] programs/ping: add  IcmpCloseHandle(icmp_file) and fix a
 memory leak.

Signed-off-by: Jiangyi Chen <chenjiangyi@uniontech.com>
---
 programs/ping/ping_main.c | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/programs/ping/ping_main.c b/programs/ping/ping_main.c
index 51246e3f5bf..fbfc669f4a2 100644
--- a/programs/ping/ping_main.c
+++ b/programs/ping/ping_main.c
@@ -218,6 +218,12 @@ int __cdecl main(int argc, char** argv)
                min, max, avg);
     }
 
+    if(icmp_file != INVALID_HANDLE_VALUE)
+    {
+      IcmpCloseHandle(icmp_file);
+      icmp_file = INVALID_HANDLE_VALUE;
+    }
+    if(send_data) heap_free(send_data);
     heap_free(reply_buffer);
     return 0;
 }
-- 
2.20.1

